---
title: chartAreaProps Chart API
description: "API Index | chartAreaProps"
api_reference: true
slug: api_chart_chartareaprops_wrapper
---

# ChartAreaProps

### chart-area-background `String`

The background color of the Chart area. Accepts any valid CSS color string, including hex and rgb.

### chart-area-border-color `String`

The color of the border. Accepts any valid CSS color string, including hex and rgb.

### chart-area-border-dash-type `String`

The dash type of the border.

The supported dash types are:

* `dash`&mdash;A line that consists of dashes.
* `dashDot`&mdash;A line that consists of a repeating dash-dot pattern.
* `dot`&mdash;A line that consists of dots.
* `longDash`&mdash;A line that consists of a repeating long-dash pattern.
* `longDashDot`&mdash;A line that consists of a repeating long-dash-dot pattern.
* `longDashDotDot`&mdash;A line that consists of a repeating long-dash-dot-dot.
* `solid`&mdash;A solid line.

### chart-area-border-width `Number`

The width (in pixels) of the border. By default, the border width is set to `0` which means that the border will not appear.

### chart-area-height `Number`

The height of the Chart area.

### chart-area-margin `Number`

The margin of the Chart area. A numeric value will set all margins.

### chart-area-margin-bottom `Number`

The bottom margin of the Chart area.

### chart-area-margin-left `Number`

The left margin of the Chart area.

### chart-area-margin-right `Number`

The right margin of the Chart area.

### chart-area-margin-top `Number`

The top margin of the Chart area.

### chart-area-opacity `Number`

The background opacity of the Chart area. By default, the background is opaque.

### chart-area-width `Number`

The width (in pixels) of the Chart area.

## Suggested Links

* [`ChartArea` in Kendo UI Chart for jQuery](https://docs.telerik.com/kendo-ui/api/javascript/dataviz/ui/chart/configuration/chartarea)
