---
title: plotAreaProps Chart API
description: "API Index | plotAreaProps"
api_reference: true
slug: api_chart_plotareaprops_wrapper
---

# PlotAreaProps

### plot-area-background `String`

The background color of the plot Chart area. Accepts any valid CSS color string, including hex and rgb.

### plot-area-border-color `String`

The color of the border. Accepts any valid CSS color string, including hex and rgb.

### plot-area-border-dash-type `String`

The dash type of the border.

The supported dash types are:

* `dash`&mdash;A line that consists of dashes.
* `dashDot`&mdash;A line that consists of a repeating dash-dot pattern.
* `dot`&mdash;A line that consists of dots.
* `longDash`&mdash;A line that consists of a repeating long-dash pattern.
* `longDashDot`&mdash;A line that consists of a repeating long-dash-dot pattern.
* `longDashDotDot`&mdash;A line that consists of a repeating long-dash-dot-dot.
* `solid`&mdash;A solid line.

### plot-area-border-width `Number`

The width (in pixels) of the border. By default, the border width is set to zero which means that the border will not appear.

### plot-area-margin `Number`

The margin of the plot area. A numeric value will set all margins.

### plot-area-margin-bottom `Number`

The bottom margin of the plot area.

### plot-area-margin-left `Number`

The left margin of the plot area.

### plot-area-margin-right `Number`

The right margin of the plot area.

### plot-area-margin-top `Number`

The top margin of the chart plot area.

### plot-area-opacity `Number`

The background opacity of the plot area. By default, the background is opaque.

### plot-area-padding `Number`

The padding of the plot area. A numeric value will set all paddings. The default padding for the Pie, Donut, Radar, and Polar Charts is proportional to the Chart size.

### plot-area-padding-bottom `Number`

The bottom padding of the plot area.

### plot-area-padding-left `Number`

The left padding of the plot area.

### plot-area-padding-right `Number`

The right padding of the plot area.

### plot-area-padding-top `Number`

The top padding of the plot area.

## Suggested Links

* [`PlotArea` in Kendo UI Chart for jQuery](https://docs.telerik.com/kendo-ui/api/javascript/dataviz/ui/chart/configuration/plotarea)
