---
title: Overview
page_title: Chart Overview - Components - Kendo UI for Vue
description: "Get an overview of the features the Kendo UI Chart wrapper for Vue delivers and use the component in Vue projects."
slug: overview_chart_charts_wrapper
canonicalLink: "https://www.telerik.com/kendo-vue-ui/components/charts/"
position: 1
---

<WrapperBanner link="/kendo-vue-ui/components/charts"></WrapperBanner>

# Chart Overview

The Chart renders a wide range of high-quality data visualizations.

The Chart wrapper for Vue is a client-side wrapper for the [Kendo UI Chart]({% slug api_chartcomponent_wrapper %}) widget.

<div data-component="StartFreeTrialSection"></div>

## Basic Usage

The following example demonstrates the Chart in action.

{% meta height:460  %}
{% embed_file chart/overview/basic-usage/main.vue preview %}
{% embed_file chart/overview/basic-usage/main.js %}
{% endmeta %}

## Functionality and Features

* [Data binding]({% slug databinding_chart_charts_wrapper %})
* [Panning and zooming]({% slug pan_and_zoom_chart_charts_wrapper %})
* Elements
    * [Axes]({% slug axes_chart_charts_wrapper %})
    * [Error bars]({% slug error_bars_chart_charts_wrapper %})
    * [Plot bands]({% slug plot_bands_chart_charts_wrapper %})

## Events

The following example demonstrates basic Chart events. You can subscribe to [all Chart events]({% slug api_chartcomponent_wrapper %}#events) by the handler name.

{% meta height:460  %}
{% embed_file chart/overview/events/main.vue preview %}
{% embed_file chart/overview/events/main.js %}
{% endmeta %}

## Suggested Links

* [Kendo UI Chart for jQuery](https://docs.telerik.com/kendo-ui/controls/charts/overview)
* [API Reference of the Chart Widget](https://docs.telerik.com/kendo-ui/api/javascript/dataviz/ui/chart)
