---
title: Box Plot
page_title: Box Plot Series Type - Chart - Kendo UI for Vue
description: "Basic usage of the Kendo UI Box Plot Charts in Vue projects."
slug: boxplot_seriestypes_charts_wrapper
canonicalLink: "https://www.telerik.com/kendo-vue-ui/components/charts/box-plot/"
---

<WrapperBanner link="/kendo-vue-ui/components/charts/box-plot"></WrapperBanner>

# Box Plot

Box Plot charts are categorical charts which graphically render groups of numerical data through their quartiles.

The Box Plot chart is useful for displaying variation in statistical samples of data. The Box Plot chart uses seven values&mdash;first and third quartile (q1 and q3), median (that is the second quartile), upper and lower value (inner fences), mean and outliers. The advantage of this type of series is that it displays detailed data information in a tiny space.

## Basic Usage

The following example demonstrates the Box Plot chart in action.

{% meta height:460 %}
{% embed_file series-types/box-plot/basic-usage/main.vue preview %}
{% embed_file series-types/box-plot/basic-usage/main.js %}
{% endmeta %}

## Vertical Box Plot

You can configure the Box Plot chart to render in vertical orientation which allows its main elements to be represented as bars instead of columns.

{% meta height:460 %}
{% embed_file series-types/box-plot/vertical/main.vue preview %}
{% embed_file series-types/box-plot/vertical/main.js %}
{% endmeta %}

## Suggested Links

* [Kendo UI Chart for jQuery](https://docs.telerik.com/kendo-ui/controls/charts/overview)
* [API Reference of the Chart Widget](https://docs.telerik.com/kendo-ui/api/javascript/dataviz/ui/chart)
