---
title: Overview
page_title: StockChart Overview - Components - Kendo UI for Vue
description: "Get an overview of the features the Kendo UI StockChart wrapper for Vue delivers and use the component in Vue projects."
slug: overview_stockchart_charts_wrapper
canonicalLink: "https://www.telerik.com/kendo-vue-ui/components/charts/stockchart/"
position: 0
---

<WrapperBanner link="/kendo-vue-ui/components/charts/stockchart"></WrapperBanner>

# StockChart Overview

The StockChart is a specialized control for visualizing the price movement of a financial instrument over a certain period of time.

StockCharts include extensive touch support and a navigator pane for easy browsing of extended time periods. Generally, the StockChart extends the [Kendo UI Chart]({% slug overview_chart_charts_wrapper %}) and shares most of its features.

The StockChart wrapper for Vue is a client-side wrapper for the [Kendo UI StockChart]({% slug api_stockchartcomponent_wrapper %}) widget.

<div data-component="StartFreeTrialSection"></div>

## Basic Usage

The following example demonstrates the StockChart in action.

{% meta height:460 %}
{% embed_file stockchart/main.vue preview %}
{% embed_file stockchart/main.js %}
{% endmeta %}

## Functionality and Features

The StockChart delivers the navigator&mdash;a pane which is placed at the bottom of the StockChart and can be used to change the date interval that is shown in the main panes. To configure the navigator, use the `navigator` option.

> In addition to its individual Navigator feature, the StockChart supports all configuration options of the Chart.

## Suggested Links

* [Kendo UI StockChart for jQuery]({% slug overview_charts_wrapper %})
* [API Reference of the StockChart Widget](https://docs.telerik.com/kendo-ui/api/javascript/dataviz/ui/stock-chart)
